Package com.logicaldoc.core

# Class ContextInitializer

java.lang.Object
com.logicaldoc.core.ContextInitializer

All Implemented Interfaces:
  `EventListener`, `org.springframework.context.ApplicationListener<org.springframework.context.event.ContextRefreshedEvent>`

public abstract class ContextInitializer extends Object implements org.springframework.context.ApplicationListener<org.springframework.context.event.ContextRefreshedEvent>
A super class for those initializers that prepare the environment for execution when the Context has been initialized and the database connected.

Since:
  9.2
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`ContextInitializer()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`supportsAsyncExecution`

## Constructor Details

### ContextInitializer

public ContextInitializer()

## Method Details

### onApplicationEvent

public final void onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)

Specified by:
  `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<org.springframework.context.event.ContextRefreshedEvent>`